#2977 closed defect (fixed)

warnings in Dhrystone Benchmark

Reported by: Joel Sherrill Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: unspecified Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The following warnings show up across the various BSPs for the dhrystone benchmark:

grep "dhrystone.*warning" log/*

log/epiphany-epiphany_sim.log:../../../../../../../rtems/c/src/../../testsuites/benchmarks/dhrystone/dhry_1.c:286:1: warning: control reaches end of non-void function [-Wreturn-type]
log/powerpc-haleakala.log:../../../../../../../rtems/c/src/../../testsuites/benchmarks/dhrystone/dhry_1.c:244:3: warning: 'Int_2_Loc' may be used uninitialized in this function [-Wmaybe-uninitialized]
log/powerpc-t32mppc.log:../../../../../../../rtems/c/src/../../testsuites/benchmarks/dhrystone/dhry_1.c:244:3: warning: 'Int_2_Loc' may be used uninitialized in this function [-Wmaybe-uninitialized]
log/sparc64-niagara.log:../../../../../../../rtems/c/src/../../testsuites/benchmarks/dhrystone/dhry_1.c:220:40: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
log/sparc64-niagara.log:../../../../../../../rtems/c/src/../../testsuites/benchmarks/dhrystone/dhry_1.c:231:40: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
log/sparc64-usiii.log:../../../../../../../rtems/c/src/../../testsuites/benchmarks/dhrystone/dhry_1.c:220:40: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
log/sparc64-usiii.log:../../../../../../../rtems/c/src/../../testsuites/benchmarks/dhrystone/dhry_1.c:231:40: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]

Change History (4)

comment:1 Changed on Apr 4, 2017 at 8:01:22 PM by Joel Sherrill

Owner: set to Sebastian Huber
Status: newassigned

comment:2 Changed on Apr 5, 2017 at 5:23:53 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In 662b301/rtems:

dhrystone: Fix warnings

Close #2977.

comment:3 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.